#pragma once
#include "mof/EventCondition.hpp"

namespace mof
{

    class OnceEventCondition : public EventCondition
    {
        bool m_disposable;
        EventCondition* m_pBody;
    public:
        OnceEventCondition( EventCondition* pBody );
        virtual ~OnceEventCondition();
        virtual bool test();
        virtual void update();
        virtual bool isDisposable();
    };

}

